#include<iostream>
#include<algorithm>
using namespace std;
void pairsort(double p[],unsigned int a[],int n){
    pair<double,unsigned int> pairt[n];
    for (int i = 0; i < n; i++){
        pairt[i].first=p[i];
        pairt[i].second=a[i];
    }
    sort(pairt, pairt + n);
    for (int i = 0; i < n; i++){
        p[i]=pairt[i].first;
        a[i]= pairt[i].second;
    }
}
int main(){
    ios_base::sync_with_stdio(false);
    unsigned int n;
    cin>>n;
    unsigned int a[n];
    double p[n];
    long double s=0,r,t;
    for(int i=0;i<n;i++){
        cin>>a[i]>>p[i];
        p[i]/=100;
        s+=a[i]*p[0];
    }
    double x=p[0];
    pairsort(p,a,n);
    r=(s*p[0])/x;
    s=(s*p[0])/x;
    x=p[0];
    for(int i=1;i<n;i++){
        s-=a[i-1]*x;
        t=(s*p[i])/x;
        r=max(r,t);
    }
    cout<<fixed<<r;
    return 0;
}